<ui:composition xmlns:h="http://java.sun.com/jsf/html" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:rich="http://richfaces.org/rich"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns="http://www.w3.org/1999/xhtml"
                template="/layout/template.xhtml">
    <ui:param name="pageNameTitle" value="#{messages['net.ihe.gazelle.webservice.tester.ListOfExecution']}"/>
    <ui:define name="body">
        <h:form id="globalForm">
            <ui:decorate template="/layout/panels/_panel_filter_criteria.xhtml">
                <ui:define name="panel_title">#{messages['gazelle.simu.SearchCriteria']}</ui:define>
                <ui:include src="/filter/filterNumber.xhtml">
                    <ui:param name="filter" value="#{executionList.filter}"/>
                    <ui:param name="filterId" value="testInstanceResult"/>
                    <ui:param name="filterName" value="#{messages['gazelle.simulator.TestInstance']}"/>
                    <ui:param name="filterForm" value="globalForm"/>
                </ui:include>
                <ui:include src="/filter/filter.xhtml">
                    <ui:param name="filter" value="#{executionList.filter}"/>
                    <ui:param name="filterId" value="launchBy"/>
                    <ui:param name="filterName" value="#{messages['net.ihe.gazelle.webservice.tester.LaunchBy']}"/>
                    <ui:param name="filterForm" value="globalForm"/>
                </ui:include>
                <ui:include src="/filter/filter.xhtml">
                    <ui:param name="filter" value="#{executionList.filter}"/>
                    <ui:param name="filterId" value="company"/>
                    <ui:param name="filterName" value="#{messages['net.ihe.gazelle.webservice.tester.Company']}"/>
                    <ui:param name="filterForm" value="globalForm"/>
                </ui:include>
                <ui:include src="/filter/filter.xhtml">
                    <ui:param name="filter" value="#{executionList.filter}"/>
                    <ui:param name="filterId" value="testComponent"/>
                    <ui:param name="filterName" value="#{messages['net.ihe.gazelle.webservice.tester.ComponentExecuted']}"/>
                    <ui:param name="filterForm" value="globalForm"/>
                </ui:include>
                <ui:include src="/filter/filter.xhtml">
                    <ui:param name="filter" value="#{executionList.filter}"/>
                    <ui:param name="filterId" value="soapuiProject"/>
                    <ui:param name="filterName" value="#{messages['net.ihe.gazelle.webservice.tester.Project']}"/>
                    <ui:param name="filterForm" value="globalForm"/>
                </ui:include>
                <ui:include src="/filter/filterDate.xhtml">
                    <ui:param name="filter" value="#{executionList.filter}"/>
                    <ui:param name="filterId" value="launchDate"/>
                    <ui:param name="filterName" value="#{messages['net.ihe.gazelle.webservice.tester.LaunchDate']}"/>
                    <ui:param name="filterForm" value="globalForm"/>
                </ui:include>
                <ui:define name="filter_buttons">
                    <a4j:commandLink title="#{messages['net.ihe.gazelle.simulators.RefreshResults']}"
                                     render="globalForm">
                        <span class="gzl-icon-refresh"/>
                    </a4j:commandLink>
                    <a4j:commandLink title="#{messages['net.ihe.gazelle.simulators.Reset']}"
                                     actionListener="#{executionList.reset()}"
                                     render="globalForm">
                        <span class="fa fa-times-circle"></span>
                    </a4j:commandLink>
                </ui:define>
            </ui:decorate>

            <s:div id="tableDiv">

                <h:commandButton value="#{messages['net.ihe.gazelle.webservice.tester.RefreshAllStatus']}" action="#{executionList.refreshStatus()}" styleClass="gzl-btn-blue"
                                 rendered="#{identity.loggedIn and s:hasRole('admin_role')}"/>

                <rich:dataTable id="executionsTable"
                                value="#{executionList.executions}" var="execution"
                                rows="#{dataScrollerMemory.numberOfResultsPerPage}"
                                render="ds">
                    <g:column sortBy="#{'id'}">
                        <ui:define name="header">#{messages['net.ihe.gazelle.simulators.Id']}</ui:define>
                        <h:outputLink value="/gazelle-webservice-tester/executionResult.seam?id=#{execution.id}">
                            #{execution.id}
                        </h:outputLink>
                    </g:column>
                    <g:column sortBy="#{'soapuiProject.label'}">
                        <ui:define name="header">#{messages['net.ihe.gazelle.webservice.tester.Project']}</ui:define>
                        <h:outputText value="#{execution.soapuiProject.label}"/>
                    </g:column>
                    <g:column sortBy="#{'testInstanceResult.testInstance'}">
                        <ui:define name="header">#{messages['gazelle.simulator.TestInstance']}</ui:define>
                        <h:outputText value="#{execution.testInstanceResult.testInstance}"/>
                    </g:column>
                    <g:column>
                        <ui:define name="header">#{messages['net.ihe.gazelle.webservice.tester.ComponentExecuted']}</ui:define>
                        <h:outputText value="#{execution.getTestComponentToString()}"/>
                    </g:column>
                    <g:column sortBy="#{'launchBy'}" >
                        <ui:define name="header">#{messages['net.ihe.gazelle.webservice.tester.ExecutedBy']}</ui:define>
                        <h:outputText value="#{executionList.getUserName(execution.launchBy)}"/>
                    </g:column>
                    <g:column sortBy="#{'company'}">
                        <ui:define name="header">#{messages['net.ihe.gazelle.webservice.tester.Company']}</ui:define>
                        <h:outputText value="#{execution.company}"/>
                    </g:column>
                    <g:column sortBy="#{'launchDate'}" sortOrder="descending">
                        <ui:define name="header">#{messages['net.ihe.gazelle.webservice.tester.ExecutionDate']}</ui:define>
                        <g:date tooltip="true" value="#{execution.launchDate}"/>
                    </g:column>
                    <g:column>
                        <ui:define name="header">#{messages['net.ihe.gazelle.webservice.tester.SoapuiValidationStatus']}</ui:define>
                        <h:outputText value="#{execution.getStatus()}"
                                      styleClass="gzl-label #{execution.getStatus()}"/>
                    </g:column>
                    <g:column>
                        <ui:define name="header">#{messages['net.ihe.gazelle.simulators.Actions']}</ui:define>
                        <h:outputLink value="/gazelle-webservice-tester/executionResult.seam?id=#{execution.id}">
                            <s:span title="Details" styleClass="gzl-icon-search"/>
                        </h:outputLink>
                        <h:commandLink
                                action="#{executionList.reRun(execution)}" rendered="#{identity.loggedIn}"
                                onclick="gazelleStatusStart();">
                            <s:span title="Re-run execution" styleClass="fa fa-repeat gzl-text-blue gzl-icon-action"/>
                        </h:commandLink>
                    </g:column>
                    <f:facet name="footer">
                        <ui:include src="/util/datatableFooter.xhtml">
                            <ui:param name="dataScrollerId" value="ds"/>
                            <ui:param name="dataTableId" value="executionsTable"/>
                        </ui:include>
                    </f:facet>
                </rich:dataTable>

            </s:div>
        </h:form>
    </ui:define>

</ui:composition>